Expense requests: Bimp API methods
Bimp API methods for the “Expense requests” resource (/org2/expenseRequest/…): 5 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.
| Method | What it does |
|---|---|
POST /org2/expenseRequest/api-read | A request to obtain detailed information for a particular money spending plan |
POST /org2/expenseRequest/api-readList | A request to view a list of money spending plans |
POST /org2/expenseRequest/api-create | A request to create a money spending plan |
POST /org2/expenseRequest/api-update | A request to update or add information to an existing money spending plan |
POST /org2/expenseRequest/api-readStatuses | A request to retrieve the available statuses for a money spending plan |
api-read
POST /org2/expenseRequest/api-read
A request to obtain detailed information for a particular money spending plan
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
paymentDetails | object[] | |
paymentDetails[].lineOfBusiness | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
paymentDetails[].costItem | string (uuid) | A unique identifier for the Cost Item, obtainable from the /expenseItems/api-readList request |
paymentDetails[].project | string (uuid) | A unique identifier for the Project, obtainable from the /project/api-readList request |
paymentDetails[].comment | string | An optional text field for any additional notes or comments related to the document |
paymentDetails[].customerOrder | string (uuid) | A unique identifier for the Customer Order, obtainable from the /invoiceForCustomerPayment/api-readList request |
paymentDetails[].sum | number | The sum of the payment details |
paymentEntity | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
sum | number | The sum of the document |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request |
employee | string (uuid) | A unique identifier for the Employee, obtainable from the /employee/api-readList |
automaticPaymentsPlanning | boolean | Adding to payment calendar |
comment | string | An optional text field for any additional notes or comments related to the document |
counterparty | string (uuid) | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
number | string | The document’s number. Use this field if you need to specify a custom number |
operationType | number | string | |
responsible | string (uuid) | A unique identifier for the Employee, obtainable from the /employee/api-readList request |
statusExpenseRequest | string (uuid) | A unique identifier for the Status of document, obtainable from the /expenseRequest/api-readStatuses request |
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-read' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-readList
POST /org2/expenseRequest/api-readList
A request to view a list of money spending plans
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
pagination | object | yes | |
pagination.offset | number | yes | Begin from {offset} elements |
pagination.count | number | yes | Limit of paginated elemets |
period | object[] | ||
statusExpenseRequest | string (uuid) | A unique identifier for the Status of document, obtainable from the /expenseRequest/api-readStatuses request |
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | |
[].paymentEntity | string | |
[].currency | string | |
[].date | string | |
[].comment | string | |
[].counterparty | string | |
[].number | string | |
[].organization | string | |
[].responsible | string | |
[].statusExpenseRequest | string | |
[].sum | number |
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-readList' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-create
POST /org2/expenseRequest/api-create
A request to create a money spending plan
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
organization | string (uuid) | yes | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
paymentDetails | object[] | yes | |
paymentDetails[].lineOfBusiness | string (uuid) | yes | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
paymentDetails[].costItem | string (uuid) | yes | A unique identifier for the Cost Item, obtainable from the /expenseItems/api-readList request |
paymentDetails[].project | string (uuid) | yes | A unique identifier for the Project, obtainable from the /project/api-readList request |
paymentDetails[].comment | string | An optional text field for any additional notes or comments related to the document | |
paymentDetails[].customerOrder | string (uuid) | A unique identifier for the Customer Order, obtainable from the /invoiceForCustomerPayment/api-readList request | |
paymentDetails[].sum | number | The sum of the payment details | |
paymentEntity | string (uuid) | yes | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
sum | number | yes | The sum of the document |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request | |
employee | string (uuid) | A unique identifier for the Employee, obtainable from the /employee/api-readList | |
automaticPaymentsPlanning | boolean | Adding to payment calendar | |
comment | string | An optional text field for any additional notes or comments related to the document | |
counterparty | string (uuid) | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
number | string | The document’s number. Use this field if you need to specify a custom number | |
operationType | number | string | ||
responsible | string (uuid) | A unique identifier for the Employee, obtainable from the /employee/api-readList request | |
statusExpenseRequest | string (uuid) | A unique identifier for the Status of document, obtainable from the /expenseRequest/api-readStatuses request |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string |
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-create' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"organization":"00000000-0000-0000-0000-000000000000","paymentDetails":[{}],"paymentEntity":"00000000-0000-0000-0000-000000000000","sum":1}'
api-update
POST /org2/expenseRequest/api-update
A request to update or add information to an existing money spending plan
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | |
organization | string (uuid) | yes | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
paymentDetails | object[] | yes | |
paymentDetails[].lineOfBusiness | string (uuid) | yes | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
paymentDetails[].costItem | string (uuid) | yes | A unique identifier for the Cost Item, obtainable from the /expenseItems/api-readList request |
paymentDetails[].project | string (uuid) | yes | A unique identifier for the Project, obtainable from the /project/api-readList request |
paymentDetails[].comment | string | An optional text field for any additional notes or comments related to the document | |
paymentDetails[].customerOrder | string (uuid) | A unique identifier for the Customer Order, obtainable from the /invoiceForCustomerPayment/api-readList request | |
paymentDetails[].sum | number | The sum of the payment details | |
paymentEntity | string (uuid) | yes | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
sum | number | yes | The sum of the document |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request | |
employee | string (uuid) | A unique identifier for the Employee, obtainable from the /employee/api-readList | |
automaticPaymentsPlanning | boolean | Adding to payment calendar | |
comment | string | An optional text field for any additional notes or comments related to the document | |
counterparty | string (uuid) | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
number | string | The document’s number. Use this field if you need to specify a custom number | |
operationType | number | string | ||
responsible | string (uuid) | A unique identifier for the Employee, obtainable from the /employee/api-readList request | |
statusExpenseRequest | string (uuid) | A unique identifier for the Status of document, obtainable from the /expenseRequest/api-readStatuses request |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string |
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-update' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","paymentDetails":[{}],"paymentEntity":"00000000-0000-0000-0000-000000000000","sum":1}'
api-readStatuses
POST /org2/expenseRequest/api-readStatuses
A request to retrieve the available statuses for a money spending plan
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
pagination | object | yes | |
pagination.offset | number | yes | Begin from {offset} elements |
pagination.count | number | yes | Limit of paginated elemets |
name | string | Filter by name |
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | |
[].name | string |
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-readStatuses' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.